Bug 235396 - Failing org.netbeans.core.startup.layers.CachingPreventsFileTouchesTest.testInMiddle
Failing org.netbeans.core.startup.layers.CachingPreventsFileTouchesTest.testI...
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Module System
7.4
PC Windows 7
: P2 (vote)
: 8.0
Assigned To: Jaroslav Tulach
issues@platform
: NO74, TEST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-02 09:51 UTC by Jiri Skrivanek
Modified: 2013-11-25 11:05 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2013-09-02 09:51:51 UTC
Please, fix failing org.netbeans.core.startup.layers.CachingPreventsFileTouchesTest.testInMiddle. It fails 26 times in row on deadlock:

http://deadlock.netbeans.org/hudson/job/trunk/

Reproduced also locally in main repository (cf8ba9a7b7c4):

ant -k -f core.startup test test-generate-html -Dtest.includes=**/CachingPreventsFileTouchesTest.class

Java: 1.7.0_40; Java HotSpot(TM) 64-Bit Server VM 24.0-b55
Runtime: Java(TM) SE Runtime Environment 1.7.0_40-b40
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
Comment 1 Marian Mirilovic 2013-09-09 11:22:22 UTC
Jarda, please evaluate in 7.4 .
Comment 2 Jiri Skrivanek 2013-09-10 07:03:20 UTC
If test failure does not mean bug in core.startup functionality, please fix the test only in dev version.
Comment 3 Jaroslav Tulach 2013-09-10 08:37:43 UTC
Still investigating when the test started to fail. But given the nature of the failure, it is unlikely this is a problem in the code.
Comment 4 Jaroslav Tulach 2013-09-10 10:58:47 UTC
So far I know the test passes OK in release73 @ JDK1.6. The test fails on release73 @ 1.7.0_25-b15. There must be something wrong in JDK7's logging configuration.
Comment 5 Jaroslav Tulach 2013-09-10 11:20:37 UTC
JDK7 has something called "LoggerContext" and the test setup and test execution disagree on the context. Thus the test execution does not use the logger configured by the setup.
Comment 6 Jaroslav Tulach 2013-11-19 08:53:22 UTC
core-main#bd4bc10ad61d

btw. also started to fail on recent JDK7 - u40 I guess.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo